SDL_GetClipboardMimeTypes(3)

NAME
SDL_GetClipboardMimeTypes - Retrieve the list of mime types available in the clipboard.

HEADER FILE
Defined in SDL3/SDL_clipboard.h

SYNOPSIS
#include "SDL3/SDL.h"

char ** SDL_GetClipboardMimeTypes(size_t *num_mime_types);

FUNCTION PARAMETERS

num_mime_types
    a pointer filled with the number of mime types, may be NULL.

RETURN VALUE
(char ) Returns a null terminated array of strings with mime types, or NULL on failure; call SDL_GetError () for more information. This should be freed with SDL_free () when it is no longer needed.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetClipboardData(3)